Package net.shibboleth.idp.module

# Class ModuleException

java.lang.Object
java.lang.Throwable
java.lang.Exception
net.shibboleth.profile.module.ModuleException
net.shibboleth.idp.module.ModuleException

All Implemented Interfaces:
  `Serializable`

@ThreadSafe @Deprecated(forRemoval=true, since="5.0.0") public class ModuleException extends ModuleException
Deprecated, for removal: This API element is subject to removal in a future version.
Module exception class.

Since:
  4.1.0
See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`private static final long`
`serialVersionUID`
Deprecated, for removal: This API element is subject to removal in a future version.
Serial number.

## Constructor Summary

Constructors
Constructor
Description
`ModuleException()`
Deprecated, for removal: This API element is subject to removal in a future version.
Constructor.
`ModuleException(Exception wrappedException)`
Deprecated, for removal: This API element is subject to removal in a future version.
Constructor.
`ModuleException(String message)`
Deprecated, for removal: This API element is subject to removal in a future version.
Constructor.
`ModuleException(String message, Exception wrappedException)`
Deprecated, for removal: This API element is subject to removal in a future version.
Constructor.

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### serialVersionUID

private static final long serialVersionUID
Deprecated, for removal: This API element is subject to removal in a future version.
Serial number.

See Also:
  - Constant Field Values

## Constructor Details

### ModuleException

public ModuleException()
Deprecated, for removal: This API element is subject to removal in a future version.
Constructor.

### ModuleException

public ModuleException(@Nullable String message)
Deprecated, for removal: This API element is subject to removal in a future version.
Constructor.

Parameters:
  `message` - exception message

### ModuleException

public ModuleException(@Nullable Exception wrappedException)
Deprecated, for removal: This API element is subject to removal in a future version.
Constructor.

Parameters:
  `wrappedException` - exception to be wrapped by this one

### ModuleException

public ModuleException(@Nullable String message, @Nullable Exception wrappedException)
Deprecated, for removal: This API element is subject to removal in a future version.
Constructor.

Parameters:
  `message` - exception message
  `wrappedException` - exception to be wrapped by this one